## org.exist.xmldb.test
Class RemoteCollectionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.RemoteDBTest
                  org.exist.xmldb.test.RemoteCollectionTest

All Implemented Interfaces:
  junit.framework.Test

public class RemoteCollectionTest
extends RemoteDBTest

A test case for accessing collections remotely

Author:
  jmv, Pierrick Brihaye <pierrick.brihaye@free.fr>

Field Summary

Fields inherited from class org.exist.xmldb.test.RemoteDBTest
`DB_DRIVER`

Constructor Summary
`RemoteCollectionTest(java.lang.String name)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testCreateResource()`
`void` `testGetNonExistentResource()`
`void` `testGetPath()`
`void` `testGetServices()`
`void` `testIndexQueryService()`
`void` `testIsRemoteCollection()`
`void` `testListResources()`
`void` `testParent()` Trying to access a collection where the parent collection does not exist caused NullPointerException on DatabaseManager.getCollection() method.

Methods inherited from class org.exist.xmldb.test.RemoteDBTest
`getCollection, setCollection`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteCollectionTest

    public RemoteCollectionTest(java.lang.String name)

Method Detail

### testIndexQueryService

    public void testIndexQueryService()

### testGetServices

    public void testGetServices()

### testIsRemoteCollection

    public void testIsRemoteCollection()

### testGetPath

    public void testGetPath()

### testCreateResource

    public void testCreateResource()

### testGetNonExistentResource

    public void testGetNonExistentResource()

### testListResources

    public void testListResources()

### testParent

    public void testParent()

  Trying to access a collection where the parent collection does not exist caused NullPointerException on DatabaseManager.getCollection() method.

### main

    public static void main(java.lang.String[] args)

Copyright (C) Wolfgang Meier. All rights reserved.